import request from '@/utils/request'

// 获取社区列表
export function getList(data) {
  return request({
    url: '/article/getarticlelist',
    method: 'get',
    params: data
  })
}

// 删除社区文章
export function setDelete(data) {
  return request({
    url: '/article/destoryarticle',
    method: 'post',
    data
  })
}

// 添加社区文章
export function setAdd(data) {
  return request({
    url: '/article/uploadarticle',
    method: 'post',
    data
  })
}

// 修改社区文章
export function setEdit(data) {
  return request({
    url: '/article/updatearticle',
    method: 'post',
    data
  })
}
